@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_stdio_rtt
pico_stdio

Support for stdin/stdout using SEGGER RTT. More...

## Functions

void | stdio_rtt_init (void)
| Explicitly initialize stdin/stdout over RTT and add it to the current set of stdin/stdout drivers.
void | stdio_rtt_deinit (void)
| Explicitly deinitialize stdin/stdout over RTT and remove it from the current set of stdin/stdout drivers.

## Detailed Description

Support for stdin/stdout using SEGGER RTT.

Linking this library or calling pico_enable_stdio_rtt(TARGET) in the CMake (which achieves the same thing) will add RTT to the drivers used for standard output

## Function Documentation

## stdio_rtt_deinit()

void stdio_rtt_deinit | ( | void |  | ) |

Explicitly deinitialize stdin/stdout over RTT and remove it from the current set of stdin/stdout drivers.

Note
  this method is automatically called by stdio_deinit_all() if pico_stdio_rtt is included in the build

## stdio_rtt_init()

void stdio_rtt_init | ( | void |  | ) |

Explicitly initialize stdin/stdout over RTT and add it to the current set of stdin/stdout drivers.

Note
  this method is automatically called by stdio_init_all() if pico_stdio_rtt is included in the build